aws-sdkをgemでインストールしたらNokogiriも使えるようになった

Amazon の S3 を使ってみようと思っていろいろ調べた結果、aws-sdk という gem をインストールすればいいというのがわかったので、インストールしたら Nokogiri も一緒にインストールされた。

^o^ > gem install aws-sdk
Fetching: mini_portile-0.6.0.gem (100%)
Successfully installed mini_portile-0.6.0
Fetching: nokogiri-1.6.2.1-x64-mingw32.gem (100%)
Nokogiri is built with the packaged libraries: libxml2-2.8.0, libxslt-1.1.28, zl
ib-1.2.8, libiconv-1.14.
Successfully installed nokogiri-1.6.2.1-x64-mingw32
Fetching: aws-sdk-1.42.0.gem (100%)
Successfully installed aws-sdk-1.42.0
Parsing documentation for mini_portile-0.6.0
Installing ri documentation for mini_portile-0.6.0
Parsing documentation for nokogiri-1.6.2.1-x64-mingw32
unable to convert "\x90" from ASCII-8BIT to UTF-8 for lib/nokogiri/2.0/nokogiri.
so, skipping
unable to convert "\x90" from ASCII-8BIT to UTF-8 for lib/nokogiri/2.1/nokogiri.
so, skipping
Installing ri documentation for nokogiri-1.6.2.1-x64-mingw32
Parsing documentation for aws-sdk-1.42.0
Installing ri documentation for aws-sdk-1.42.0
3 gems installed

うーん、前に苦労してダメだったのはなんだったんだ。

カテゴリー: Ruby パーマリンク

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です

このサイトはスパムを低減するために Akismet を使っています。コメントデータの処理方法の詳細はこちらをご覧ください